Subject: bug#25163: 26.0.50; Unable to access `user-emacs-directory' (~/.emacs.d/)

From: Óscar Fuentes <[email-masked]>
Date: Tue, 13 Dec 2016 05:02:16 +0100

Glenn Morris <[email-masked]> writes:

> Somewhat off-topic for this report, but -u is a bit rubbish, isn't it?
>   "load ~USER/.emacs instead of your own"
> Nobody wants to load Fred's .emacs (since about 1983 on a VAX).
> What they want is to use some directory other than ~/.emacs in their own space.

Agreed. I was under the impression that -u was followed by an arbitrary
directory, but now I recall that it expects an user name. This is no
alternative to setting emacs-user-directory at all.

> (But that's bug#15539, which I'm a bit surprised to see was closed wontfix.)

It was after John Wiegley mentioned that you can set
user-emacs-directory to achieve the same effect, which right now it is
not correct.